# $Revision: 1.15 $, $Date: 2004/05/06 18:21:01 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Set
%define	pnam	Array
Summary:	Set::Array - arrays as objects with lots of handy methods
Summary(pl):	Set::Array - tablice jako obiekty z wieloma porcznymi metodami
Name:		perl-Set-Array
Version:	0.11
Release:	1
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	919a9ab2fc76989d59c5bbb6775dfec0
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Want >= 0.05
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Set::Array allows you to create arrays as objects and use OO-style
methods on them. Many convenient methods are provided here that appear
in the FAQ's, the Perl Cookbook or posts from comp.lang.perl.misc. In
addition, there are Set methods with corresponding (overloaded)
operators for the purpose of Set comparison, i.e. +, ==, etc.

%description -l pl
Set::Array pozwala na tworzenie tablic jako obiektw i uywanie na
nich metod. Dostpnych jest wiele wygodnych metod, ktre podane s w
FAQ-ach, Perl Cookbook oraz postach z grupy comp.lang.perl.misc.
Dodatkowo s metody Set z odpowiadajcymi (przecionymi) operatorami
do porwnywania, np. +, == itd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Set-Array.spec,v $
Revision 1.15  2004/05/06 18:21:01  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/05 13:47:09  ankry
- cosmetics

Revision 1.13  2004/05/02 08:31:33  ankry
- license fixed, cosmetics

Revision 1.12  2004/04/15 20:30:23  ankry
- cosmetics, unification

Revision 1.11  2004/02/16 22:06:27  adamg
- updated to 0.11
- new style bconds

Revision 1.10  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:11  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:00  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 20:46:10  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:06  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/31 12:21:47  qboosh
- pl description, release 2

Revision 1.1  2002/08/29 12:32:59  radek
- new, STBR
